#ifndef Game_H
#define Game_H

#include <MiniGameV.h>
#include "Men.h"

class Game : public MiniGameV
{
private:
    UIInit uiFactory;
    Men *men;
    KSGClient::MinigameServerClient *client;
    int alpha;
    int ref;

public:
    // Konstruktor
    Game();
    // Destruktor
    ~Game();
    // nicht constant
    virtual bool laden() override;
    virtual void setMinigameClientZ( KSGClient::MinigameServerClient *client ) override;
    virtual void setMinigameAPI( MinigameAPI *api ) override;
    virtual void doPublicMausEreignis( MausEreignis &me ) override;
    virtual void doTastaturEreignis( TastaturEreignis &te ) override;
    virtual bool tick( double zeit ) override;
    virtual void render( Bild &zRObj ) override;
    virtual void setUIFactory( UIInit &uiFactory ) override;
    // constant
    virtual bool istEnde() const override;
};

#endif